linux系统中python版本既有2.6的又有3.4的如何更改默认启动为3.4的? 5C

我在使用pip命令时,现实的错误是python版本为2.6不能使用该命令,但是Linux中有3.4的,如何在执行命令时运行的是3.4版本的?

0

11个回答

重新 link python3.4 到 bin目录,覆盖原来的python链接

1

更改一下他们两个的软连接就可以了,就像重新更改一下快捷方式一样

1

更改软连接就可以了的

1
liuyuaner
liuyuaner 更改一下他们两个的软连接就可以了
一年多之前 回复
gjfvip123
gjfvip123 我刚学linux 还不太会,请问怎么更改?
一年多之前 回复

用pyenv 控制版本 pyenv global

1

更改一下他们两个的软连接就可以了

0

查看目录 /usr/bin 中是否有关于python2.6的软链接,删除他 ,rm /usr/bin/python 建立最新版的python3.4的软链接

0

试下更改软连接,或许可以实现

0

卸载以前的版本不就好了

0

改下软链接 link, python python3 随便你

rm /usr/bin/python3 
ln -s /usr/bin/python3.4 /usr/bin/python3

# create alias in ~/.bash_aliases
alias python3='/usr/bin/python3.4' 

当然 我推荐你更新到 python3.6

0

rm /usr/bin/python3
ln -s /usr/bin/python3.4 /usr/bin/python3

create alias in ~/.bash_aliases

alias python3='/usr/bin/python3.4'

0
共11条数据 1 尾页
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
Mongodb2.6升级到3.4教程
mongodb从2.6升级到3.4教程,2.6与3.4的使用引擎不同。按照官网,升级时,是需要一个版本一个版本升级的
Mongo3.4 Storage Engines存储引擎(将MongoDB实例更改为WiredTiger存储引擎)
本教程提供了改变独立MongoDB实例的存储引擎为wiredtiger存储引擎的概述。rn注意:rn本教程使用mongodump和mongorestore工具导出和导入数据,确保MongoDB组件安装在你的系统之中,另外,确保使用WiredTiger运行的MongoDB实例有足够的存储空间供mongodump导出文件和数据文件。rn1.启动将要使用WiredTiger存储引擎的mongo实例rn2
Win7系统中同时安装了python2.x和python3.x,如何设置默认启动的python版本
      现在Windows系统同时兼容了python2和python3的两个版本,但安装的时候会默认使用python2.x或python3.x的版本,却不是自己想要的那个默认的版本。那么,如何设置自己想要的默认启动的python版本呢?网上看了许多方法,感觉操作都挺麻烦的,于是总结了下自己的一个方法供大家参考。      其实设置默认启用的python版本只要设置下环境变量就可以了,将自己想要...
Python3.4版本以上imp问题解决
当我运行程序的时候,Python Shell给我显示:the imp module is deprecated in favour of importlibnn上网搜一下原因,是因为Python3.4版本以上源代码中的引用由imp自动变为importlib.nn解决方法只要按照程序报错中指示的路径,如C:\Python36-32\lib\sit-packages\sklearn\externals...
MongoDB 3.4安装及注册windows服务
1 安装环境介绍nMongoDB版本:mongodb 3.4.4 64位nWindows10nmongochef 64位n2 下载并安装MongDB1 下载工具包nmongdb nhttps://www.mongodb.com/download-center mongodb官网下载nmongochef下载 nmongochef是mongodb一款非常优秀的可视化工具,分为免费版和收费版,收费版到官
python3.4安装scrapy的各种坑
今天真的是要死要死的,python装一个scrapy也是各种麻烦,调了半天,现在把坑贴出来python3如果直接装真的是各种问题出现,所以果断百度,这篇帖子帮助最大,但是这还不是问题的全部http://blog.csdn.net/c406495762/article/details/60156205博主首先列的问题确实是遇到了,而且解决不了,所以按照博主的方法第一步:pip3 install wh...
Mongodb版本升级步骤(2.6升级到3.2)
1、修改secondary端口及关闭replset。2、启动改secondary。3、登陆primary访问这台验证兼容性db=connect("secondary:port/dbname");>use admin>db.upgradeCheckAllDBs()4、用最新版本的mongodb的bin目录替换老的。5、还原secondary配置,并重启。6、修改secondary的配置文...
python 将默认2.7 python环境修改为2.6之后,yum命令不可用
n建立软链接nnnn cd /usr/bin n mv python python_bak n ln -s python2.6 python nnnnmodify yum conf nnnnnvim /usr/share/yum-cli/yummain.pynnvim /usr/bin/yumnnvim /usr/libexec/urlgrabber-ext-downnn将上述文件的头:#...
给jupyter添加多个python版本的kernel
两种方法:rn1.想添加的python版本已存在rnconda install -n Python27 ipykernel #为这个环境安装ipykernelrnpython -m ipykernel install --user #激活这个环境rnrn2.所需版本不是已有的环境rnconda create -n Python27 python=2.7 ipykernel #在创建环境时为其安装ipykern...
安装及配置2017.3.4版本的pycharm教程
很多新手安装好了pycharm,但是不会配置,导致在pycharm中运行程序时不能调用Anaconda3中的python包,下面我详细的介绍一下如何安装及配置pycharm,Anaconda3的安装教程网上有很多,我就不再叙述了。一、百度搜索pycharm,在网上下载Professional版的pycharm;下载链接点击打开链接二、双击可执行文件进入安装教程                   ...
python3.4.4 64位
用于python3.4的版本安装包。Python的3.0版本,常被称为Python 3000,或简称Py3k。相对于Python的早期版本,这是一个较大的升级。为了不带入过多的累赘,Python 3.0在设计的时候没有考虑向下兼容。
Python 3.4.1官方教程中文版
Python 3.4.1官方教程中文版
ubutnu linux 下升级python版本,以2.x升级到3.x为例
ubutnu linux 下升级python版本,以2.x升级到3.x为例
python 3.4.3 下载安装与环境配置
下载:n我的操作系统是Windows 7,刚开始下载是Python 2.7后来因为要装PyQt5要下载 Python 3.5,由于个人系统的问题Python 3.5暂时无法使用,故选择了Python 3.4.3n                大家可以从官网下载:Python官网n     我下载的已经打包上传到了CSDN的资源库,大家也可以直接下载使用:python资源n安装
python3.4安装包
python3.4安装包
mongodb3.4-配置以及使用
mongodb文档数据库:存储文档(BSON–>JSON二进制) n封装磁盘–>gridfs–>多个BSON(json二进制)–>JS解析器解析成json n特点:内部执行引擎为JS解析器,把文档存储成bson结构,查询时转换为JS对象,并通过熟悉的js语法来操作 n与传统数据库区别 n传统数据库,结构化数据,定好了表结构后,每一行的内容,必是符合表结构的,就是说列个数类型一样 nmongodb:表
python3.4配套的twisted
python3.4配套的twisted,安装scrapy需要安装twisted,此版本对应python3.4
MongoDB3.4配置文件参数选项
以下的描述是MongoDB3.4配置文件,对于其它版本的MongoDB配置文件选项,请参考对应的版本。rn配置文件rnrn使用配置文件管理mongod和mongos管理更容易,特别是大规模的部署,你可以向配置文件添加注释来解释服务器的配置。rn如果你已经安装了一个安装包并且已经启动了MongoDB,并且使用系统初始化那么你已经使用了配置文件。rn文件格式rn从MongoDB2.6开始推荐一种基于Y
(转)Android studio 3中如何使用recyclerview布局
加入recyclerview时,出现了“Unable to resolve dependency for ':app@debug/compileClasspath': Could not resolve com.android.support:recyclerview-v7:27.1.1.”错误,查了半天没找到相应的版本号,最好直接找现成的,3.0加入的方法很简单:nn1.在studio最上面的...
python3.4+pywin32 32位
python 3.4.3加pywin32-219-py3.4
Android Studio 升级3.x 版本填坑尝试
Android Studio 升级3.x 版本填坑尝试rnrnrnrnrnrn下载安装最新的studio3.1.1rnrnrnrn前言rnrnrn 最近在公司中把android studio 升级到版本 3.1.1 ,但是随之而来的问题一大把rn rn 首先第一个,AS 3.1.1 使用的gradle版本是 gradle-4.4-all 计入使用低于这个版本的gradle ,整个工具将会进入一种低效能的状态,朋友经常跟我...
pygame for Python3.4
pygame for Python3.4
python3.4下pip安装第三方库
之前一直在collecting这一步不继续,尝试了一些国内的源也都没有成功,这次终于成功了。nnpip install pyinstaller -i http://pypi.douban.com/simple --trusted-host pypi.douban.com...
python 3.4.0 Windows 32位与64位 安装包
python 3.4.0 Windows 32位与64位 安装包 能看懂 官网的小伙伴 就去官网下
Linux系统如何将Python的默认环境设置为anaconda下,查看tensorFlow版本
我是Ubuntu 16.04的nn(可以通过命令sudo lsb_release -a查看版本)nn里面系统自带2.7,我装Anaconda后 装了tensorFlow3 和python3.6nn① 找到Python3.6文件夹,nn我的目录是:/home/yuyilanubuntu/anaconda3/lib/python3.6nn②在终端命令中分别输入:nnecho 'export PATH=...
python修炼计划 从基本学起1
学习一门热门语言rn计算机语言都是从helloworld开始rnMac或Linux下自带Python,windows需要安装,具体安装步骤问度娘。rn建立python脚本如下,vim helloword.pyrnrn rn rn#!/usr/bin/pythonrn rn#coding=utf-8rn rnrnrnrn#剽悍的代码不需要解析rn rn#解析也没用就那么几行没人看rn rnprint
python3.4 使用pyinstaller打包程序遇到的问题
python3.4 使用pyinstaller打包程序遇到的问题
在Windows上面安装MongoDB(3.4版本)数据库,以及遇到的问题
最近在自学MongoDB,把安装过程和遇到的问题记录下来。1.先下载MongoDB的安装包,https://pan.baidu.com/s/12K4CLfHwwcFxcwdFiLr6PA  ,这个是3.4.9版本的。2.安装,像普通软件安装的方法一样安装即可,记住安装的文件路径,我的是在D:\MongoDB,所以下面都以这个路径为安装路径。3.创建文件夹,在D:\MongoDB下面创建 data文...
protobuf-python-3.4.0.zip
python安装 protobuf支持,目前是最新的版本,python setup.py build python setup.py install,安装完成后,就能用了。
java连接mongodb3.4.2所需jar
java连接mongodb3.4.2所需jar
pywin32 for py3.4
pywin32 for py3.4 xp下能支持的最高版本,不能pip安装
一个字符串既含有字母又含有数字且字母和数字随意排列如何取出其中所有的数字并进行排序
import java.util.ArrayList;nimport java.util.Collections;nimport java.util.Iterator;nimport java.util.List;nnpublic class TestRegex {npublic static void main(String[] args) {nString s="ab12c2d3
创建基于python 3.4的Anaconda新环境
创建基于python 3.4的Anaconda新环境,使python2.7和python3.4同存。
Ext.js3.4版本学习3
TabPanel使用 nTabPanel是多个不同内容的容器,任意组件直接使用add()函数便可添加到TabPanel中。如果不特别指定xtype,就会默认使用Ext.Panel为这些内容生成子面板。 n实例代码:nnExt.onReady(function () {n var tabs=new Ext.TabPanel({n renderTo:
python3.4的安装包
python3.4 安装包 windows操作系统下的python软件,经测试能正常使用
python3.4 3.5 3.6 twisted适配windows
python3.4 3.5 3.6的twisted包wheel,windows,没有linux版,现在第三方扩展网站中已经没有twisted了,pypi中只有p2.7的包,这是我保存的历史版本
Android Studio升级到3.4遇到的问题总结
1、gradle需要升级。 nnn 1)、project的build.gradle文件写下如下代码:nn    buildscript {n n     repositories {n     google()n     jcenter()n     }n     dependencies {n     classpath 'com...
若ubuntu下有python2和python3,默认为python2,如何设置python3为默认版本!
Ubuntu默认已经安装了Python的版本了,不过是Python2的版本。nn我们安装好Python3想把他切换为系统默认的版本。nnsudo update-alternatives --config python //显示当前系统中所有的Python版本。nn直接输入数字,即可切换为相应的版本号。nn这样你甚至可以将自己喜欢的任意版本python安装到任意位置,然后使用update-alter...
Linux中修改默认python版本
Linux中修改默认python版本
neo4j 3.4.7安装和使用
neo4j是目前最流行的图形数据库,支持完整的事务。在树形图中,图是有顶点、边和属性组成的,顶点和边都可以设置属性,顶点又称节点,边也叫做关系。每个节点和关系都可以由一个或多个属性,neo4j创建的图是用顶点和边构建一个有向图,其查询语言为cypher。nn一、机器环境nnubuntu 18.04LTS+java 1.8.0_172nn二、安装nn1.资源下载nn在https://neo4j.co...
文章热词 机器学习教程 Objective-C培训 交互设计视频教程 颜色模型 设计制作学习
相关热词 mysql关联查询两次本表 native底部 react extjs glyph 图标 python教程linux系统 学习pythonlinux系统

相似问题

1
python:同一根目录下不同的py文件,为什么不用导入却可以访问并修改其他py文件中类的属性值?
1
Excel有100个病人的资料,其中一列是文字影像报告,如何提取每一行特定的词?
2
python中的global关键字的使用方法到底是怎样的?
2
怎样用Python读入.txt里四个坐标点并绘制矩形?
4
windows下Django运行python manage.py runserver时报错LookupError: No installed app with label 'admin'.
1
百度爬来的人名的网页,如何更有效的清洗和提取?有没有什么好的逻辑?
4
关于如何获取Windows桌面应用程序中内置的浏览器且读取数据
2
python 批量插入mysql 如何把list分隔开来
1
求问各位大佬怎么用python获取排序后二维列表在原列表中的下标,我的代码是这样的,但是报错了
2
Python SMTP_SSL从QQ邮箱发给网易邮箱始终提示connection unexpectedly closed
3
Python代码阅读提问!!!!!!!
3
for _ in range(n): Python语言中什么意思??? _如何理解,为什么要这样用??
2
selenium中利用find_element_by_css_selector来定位的问题。
2
Scrapy FormRequest函数中的meta参数值应该如何设置?
1
请问单链表如何找到最小节点的位置
0
python:自写的计算行列式的函数单独运行没有问题,在整个程序中运行出现错误。
1
爬虫爬到的标签如何只取需要的中文
0
vs-code中设置语句检查python.linting.flake8Enabled"无法设置,求大神帮看看什么原因
1
python 使用with con:连接数据库时 报错AttributeError: __enter__怎么解决呢?
1
如何解决pymysql回传结果乱序?